clear all
close all
load('osoba3prezentace', 'data') %načtení signálů vybrané osoby podle klíče osobaXprezentace, X=1:1:10
%DOPORUČENÍ: spouštět skript po jednotlivých  úsecích/buňkách pro
%jednotlivé signály
ppg=data(:,1)'; %výběr ppg
eda=data(:,2)'; %výběr eda
eog=data(:,4)'; %výběr eog
SYNCH=data(:,5)'; %výběr synch. signálu

Fs=500;
N=length(SYNCH);
t=1/Fs:1/Fs:N*1/Fs; %přechod k časové ose

%DETEKCE IMPULSŮ
detekce_impulsu %detekce synchronizačních impulsů
detekce_stimulacnich_impulsu %detekce stimulačních impulsů v synchonizačních impulsech
%%
%EOG RMS
load maxima %načtení maxim RMS ve vybraných úsecích od všech osob 
eog_rms %výpočet RMS ve vybraných úsecích signálu a statistická analýza
%eog_vykresleni %vykreslení získaných výsledků a spektrogramu eog
%%
%PPG
load ppgstatp %načtení matice získané složením matic prostat jednotlivých osob(skript hrv_orezani)
hrv_ppg %zpracování ppg signálu a výpočet HRV a parametrů pro statistické zpracování
%hrv_vykresleni %vykreslení ppg, hrv,....
hrv_orezani %orezani signálu s vazbou na jednotlivé obrázky prezentace
hrv_statistika %statistická analýza 
%%
%EDA
eda_ %zpracování EDA
eda_orezani %ořezání na jednotlivé obrázky
%eda_vykresleni %vkreslení